curl --request POST \
--url https://api.useanima.sh/v1/domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>"
}
'import requests
url = "https://api.useanima.sh/v1/domains"
payload = { "domain": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>'})
};
fetch('https://api.useanima.sh/v1/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"domain": "<string>",
"status": "NOT_STARTED",
"verified": true,
"verificationCooldownUntil": "2023-11-07T05:31:56Z",
"verificationToken": "<string>",
"verificationMethod": "DNS_TXT",
"dkimSelector": "<string>",
"dkimPublicKey": "<string>",
"spfConfigured": true,
"dmarcConfigured": true,
"mxConfigured": true,
"feedbackEnabled": true,
"records": [
{
"type": "TXT",
"name": "<string>",
"value": "<string>",
"status": "MISSING",
"priority": 123
}
],
"createdAt": "2023-11-07T05:31:56Z"
}Post domains
Authorizations
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Body
Request body for adding a new custom domain
Domain name to add (automatically lowercased)
Response
OK
Full domain resource representation with verification and DNS status
Unique identifier of the domain
^[cC][^\s-]{8,}$Fully qualified domain name
Current verification status
NOT_STARTED, PENDING, VERIFYING, VERIFIED, INVALID, FAILED Whether the domain has been fully verified
Earliest time a re-verification can be attempted, or null if no cooldown
Token value to place in DNS records for verification
DNS record method used for domain verification
DNS_TXT, DNS_CNAME DKIM selector used for email signing, or null if not configured
DKIM public key for DNS publication, or null if not configured
Whether SPF DNS records are correctly configured
Whether DMARC DNS records are correctly configured
Whether MX DNS records are correctly configured
Whether bounce and complaint feedback processing is enabled
Required DNS records for this domain, or null if not yet generated
Show child attributes
Show child attributes
Timestamp when the domain was added
